create_video_bitmap(3)

NAME
create_video_bitmap

SYNOPSIS
#include <allegro.h>

BITMAP *create_video_bitmap(int width, int height);

DESCRIPTION
Allocates a video memory bitmap of the specified size, returning a pointer to it on success or NULL on failure (ie. if you have run out of vram). This can be used to allocate offscreen video memory for storing source graphics ready for a hardware accelerated blitting operation, or to create multiple video memory pages which can then be displayed by calling show_video_bitmap(). Video memory bitmaps are usually allocated from the same space as the screen bitmap, so they may overlap with it: it is not therefore a good idea to use the global screen at the same time as any surfaces returned by this function.

SEE ALSO
create_bitmap(3), create_bitmap_ex(3), create_system_bitmap(3), create_sub_bitmap(3), destroy_bitmap(3), screen(3), show_video_bitmap(3), gfx_capabilities(3), is_video_bitmap(3)